/*
 * Boot sector
 *
 * Copyright © 1998-2001 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef __BOOT_H
#define __BOOT_H

#define BOOT_SEGMENT	0x07c0
#define SYS_SEGMENT	0x1000
#define INIT_SEGMENT	0x9000
#define LOADER_SEGMENT	0x9020

/* FIXME: This is hard coded and depends on the generated loader size. */
#define LOADER_SECTORS	5

#define STACK_TOP	0x4000

#endif

