/*
 * CMOS (RTC and system info)
 *
 * Copyright © 2004 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef __CMOS_H
#define __CMOS_H

#define CMOS_REG_ADDR		0x70
#define CMOS_REG_DATA		0x71

#define CMOS_NMI_DISABLE	0x80
#define CMOS_NMI_ENABLE		0

#define CMOS_FLOPPY		0x10
#define CMOS_HARDDISK		0x12
#define CMOS_EQUIPMENT		0x14
#define CMOS_MEM_BASE_LO	0x15
#define CMOS_MEM_BASE_HI	0x16
#define CMOS_MEM_EXT_LO		0x17
#define CMOS_MEM_EXT_HI		0x18

#endif

