OUTPUT_FORMAT("elf32-i386", "elf32-i386", "elf32-i386")
OUTPUT_ARCH(i386)
ENTRY(entry_point)
SEARCH_DIR(".");
SECTIONS
{
  . = 0x10000 + SIZEOF_HEADERS;

  . = ALIGN(16);

  _multiboot = .;
  .multiboot :
  {
    *(.multiboot)
  }
  _emultiboot = .;

  _text = .;
  .text :
  {
    *(.text)
    FILL(0x90)
  }
  _etext = .;

  . = ALIGN(16);
  _data = .;
  .rodata :
  {
    *(.rodata)
  }
  .data :
  {
    *(.data)
    CONSTRUCTORS
  }
  _edata = .;

  . = ALIGN(16);
  __bss_start = .;
  .bss :
  {
    *(.bss)
  }
  __bss_end = .;

  /DISCARD/ : { *(.note) }

  /* Stabs debugging sections.  */
  .stab 0 : { *(.stab) }
  .stabstr 0 : { *(.stabstr) }
  .stab.excl 0 : { *(.stab.excl) }
  .stab.exclstr 0 : { *(.stab.exclstr) }
  .stab.index 0 : { *(.stab.index) }
  .stab.indexstr 0 : { *(.stab.indexstr) }
  .comment 0 : { *(.comment) }
}

